Package org.fife.ui.rsyntaxtextarea.parser

## Class TaskTagParser.TaskNotice

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.parser.DefaultParserNotice
  - - org.fife.ui.rsyntaxtextarea.parser.TaskTagParser.TaskNotice

- All Implemented Interfaces:
    `Comparable<ParserNotice>`, `ParserNotice`
  Enclosing class:
    TaskTagParser

      public static class TaskTagParser.TaskNotice
      extends DefaultParserNotice

  A parser notice that signifies a task. This class is here so we can treat tasks specially and show them in the `ErrorStrip` even though they are `INFO`-level and marked as "don't show in editor."

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.fife.ui.rsyntaxtextarea.parser.ParserNotice

      `ParserNotice.Level`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskNotice​(Parser parser, String message, int line, int offs, int length)` |

  - ### Method Summary

    - ### Methods inherited from class org.fife.ui.rsyntaxtextarea.parser.DefaultParserNotice

      `compareTo, containsPosition, equals, getColor, getKnowsOffsetAndLength, getLength, getLevel, getLine, getMessage, getOffset, getParser, getShowInEditor, getToolTipText, hashCode, setColor, setLevel, setShowInEditor, setToolTipText, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskNotice

          public TaskNotice​(Parser parser,
                            String message,
                            int line,
                            int offs,
                            int length)